import http from '@/api'
/**
 * @name 查询数据库allSchemas
 * @param query 参数
 * @returns 返回列表
 */
export const getSchemasApi = (id: string | number) => {
  return http.get<any[]>(`/db/metadata/schemas/${id}`, { loading: false })
}

/**
 * @name 查询数据库allTables
 * @param query 参数
 * @returns 返回列表
 */
export const getTablesApi = (id: string | number, param: any) => {
  return http.get<any[]>(`/db/metadata/tables/${id}`, param, { loading: false })
}
/**
 * @name 查询数据库allTables
 * @param query 参数
 * @returns 返回列表
 */
export const getTablesMetaApi = (id: string | number, param: any) => {
  return http.get<any>(`/db/metadata/meta/table/${id}`, param, { loading: false })
}
/**
 * @name 查询数据库tableMeta
 * @param query 参数
 * @returns 返回列表
 */
export const getTablesDataApi = (id: string | number, param: any) => {
  return http.get<any>(`/db/metadata/data/table/${id}`, param, { loading: false })
}
